# PEP

<details>

<summary>Verify if a name is PEP</summary>

<mark style="background-color:green;">GET /search/pep</mark>&#x20;

**Headers**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body : N/A**

**Query Param**:&#x20;

* personName: string (example: Cyril Ramaphosa)

**Responses**

* **OK**

  * Code : 200
  * Body: this represent a list of potential PEP matching the provided personName

  ```json
  [
    {
      "id": "string",
      "score": 0,
      "sourceId": 0,
      "lastname": "string",
      "firstname": "string",
      "nationality": "string",
      "biography": "string",
      "aka": "string",
      "libelle": "string", // 
      "countryCode": "string",
      "country": "string",
      "countries": "string",
      "politicalPosition": "string",
      "chamber": "string",
      "function": "string",
      "institutionType": "string",
      "region": "string",
      "type": "string",
      "type2": "string",
      "locationUrl": "string",
      "relatedUrl": "string",
      "otherInfo": "string"
    }
  ]
  ```
* **UnAuthorized**
* **Bad Request**

</details>
